/*
 * Sixth 3D engine. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.sixth.e3d.gui;

/**
 * Timer task that updates view.
 *
 * Tries to keep constant FPS.
 */
public class ViewUpdateTimerTask extends java.util.TimerTask {

    public ViewPanel viewPanel;

    public ViewUpdateTimerTask(final ViewPanel viewPanel) {
        this.viewPanel = viewPanel;
    }

    @Override
    public void run() {
        viewPanel.ensureThatViewIsUpToDate();
    }

}
