/*
 * Sixth 3D engine. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.sixth.e3d.renderer.raster.shapes.composite.base;

import eu.svjatoslav.sixth.e3d.renderer.raster.shapes.AbstractShape;

public class SubShape {

    private final AbstractShape shape;
    private boolean visible = true;
    private String groupIdentifier;

    public SubShape(AbstractShape shape) {
        this.shape = shape;
    }

    public boolean isUngrouped() {
        return groupIdentifier == null;
    }

    public boolean matchesGroup(final String groupIdentifier) {
        if (this.groupIdentifier == null)
            return groupIdentifier == null;

        return this.groupIdentifier.equals(groupIdentifier);
    }

    public void setGroup(final String groupIdentifier) {
        this.groupIdentifier = groupIdentifier;
    }

    public AbstractShape getShape() {
        return shape;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setVisible(boolean visible) {
        this.visible = visible;
    }
}
