/*
 * Sixth 3D engine. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.sixth.e3d.renderer.raster.shapes.composite.textcanvas;

public enum RenderMode {
    /**
     * Text is rendered as pixels on textured polygon.
     * This mode works in any orientation. Even if polygon is rotated.
     */
    TEXTURE,

    /**
     * Text is rendered as high quality, anti-aliased tiles.
     * This mode works only if text is facing the camera almost directly.
     */
    CHARACTERS
}
